%define upstream_name    App-Cache
%define upstream_version 0.37

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:    Module for easy application-level caching
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(Class::Accessor::Chained)
BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(File::Which)
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(Path::Class)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl-libwww-perl

BuildArch:      noarch


%description
The App::Cache module lets an application cache data locally. There are a few 
times an application would need to cache data: when it is retrieving 
information from the network or when it has to complete a large calculation.

For example, the Parse::BACKPAN::Packages module downloads a file off the net 
and parses it, creating a data structure. Only then can it actually provide 
any useful information for the programmer. Parse::BACKPAN::Packages uses 
App::Cache to cache both the file download and data structures, providing 
much faster use when the data is cached.

This module stores data in the home directory of the user, in a dot directory. 
For example, the Parse::BACKPAN::Packages cache isactually stored 
underneath "~/.parse_backpan_packages/cache/". This is so that permisssions 
are not a problem - it is a per-user, per-application cache.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
rm -rf $RPM_BUILD_ROOT/%{perl_vendorarch}

%files
%doc CHANGES README META.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.370.0-13.mga8
+ Revision: 1503460
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.370.0-12.mga7
+ Revision: 1281625
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.370.0-11.mga7
+ Revision: 1162990
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.370.0-10.mga7
+ Revision: 1160952
- add BR on perl(HTTP::Cookies)

* Tue Sep 19 2017 guillomovitch <guillomovitch> 0.370.0-9.mga7
+ Revision: 1155372
- fix build dependencies

* Sat Jun 18 2016 pterjan <pterjan> 0.370.0-8.mga6
+ Revision: 1022535
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.370.0-7.mga6
+ Revision: 931988
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.370.0-6.mga5
+ Revision: 741157
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.370.0-5.mga5
+ Revision: 731825
- use %%perl_default_filter

* Tue Sep 16 2014 umeabot <umeabot> 0.370.0-4.mga5
+ Revision: 683510
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.370.0-3.mga4
+ Revision: 509107
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.370.0-2.mga3
+ Revision: 363067
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.370.0-1.mga1
+ Revision: 33578
- mageia rebuild
- imported package perl-App-Cache


* Wed Dec 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.370.0-1mdv2010.1
+ Revision: 475395
- update to 0.37

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-1mdv2010.0
+ Revision: 405954
- rebuild using %%perl_convert_version

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2010.0
+ Revision: 389772
- update to new version 0.36

* Thu Sep 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2009.0
+ Revision: 283882
- update to new version 0.35

* Fri Aug 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.34-1mdv2009.0
+ Revision: 272257
- update to new version 0.34

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.33-3mdv2009.0
+ Revision: 255288
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.33-1mdv2008.1
+ Revision: 97362
- update to new version 0.33

  + Michael Scherer <misc@mandriva.org>
    - rebuild


* Thu Apr 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.31-5mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Tue Dec 27 2005 Michael Scherer <misc@mandriva.org> 0.31-4mdk
- Do not ship empty dir

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.31-3mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.31-2mdk
- Buildrequires fix

* Wed Sep 21 2005 Michael Scherer <misc@mandriva.org> 0.31-1mdk
- First mandriva package

